Skip to main content
`Ctrl`+`K`

# TSAdaptGetClip

Gets the admissible decrease/increase factor in step size in the time step adapter

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptGetClip(TSAdapt adapt, PetscReal *low, PetscReal *high)

Not Collective

## Input Parameter

- adapt - adaptive controller context

## Output Parameters

- low - optional, admissible decrease factor

- high - optional, admissible increase factor

## See Also

TS: Scalable ODE and DAE Solvers, Error control via variable time-stepping, `TSAdapt`, `TSAdaptChoose()`, `TSAdaptSetClip()`, `TSAdaptSetScaleSolveFailed()`

## Level

intermediate

## Location

src/ts/adapt/interface/tsadapt.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages